Backport packages for 16.04.4 HWE stack

Bug #1716203 reported by Timo Aaltonen on 2017-09-10
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libclc (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
libdrm (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
llvm-toolchain-5.0 (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
mesa (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
vulkan (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
wayland-protocols (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
xorg-hwe-16.04 (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Timo Aaltonen
xorg-server-hwe-16.04 (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
xserver-xorg-video-amdgpu-hwe-16.04 (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
xserver-xorg-video-ati-hwe-16.04 (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
xserver-xorg-video-nouveau-hwe-16.04 (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned

Bug Description

[Impact]

*** hwe-16.04 refresh for 16.04.4 ***

A minor update, only some driver updates plus a newer Mesa.

Mesa needs llvm-toolchain-5.0 and libclc, libdrm, wayland-protocols updates.

[Test case]

upgrade from/to stock & old hwe stack, test desktop usage

[Regression potential]

libdrm:
Slim to none, changes from 2.4.76 to 2.4.83
- amdgpu: pci-id handling moved here, new pci-ids, bugfixes, tests
- intel: new pci-ids
- drm: leak fixes, manpage updates
- exynos, etnaviv, freedreno, android: fixes, new stuff

wayland-protocols:
None, just adds a few protocol definitions (xml files)

llvm-toolchain-5.0:
None, a new package

libclc:
I'd say none, very little has changed, added support for llvm-5 is the main reason for this slightly newer snapshot

xorg-server:
Slim, it's an upstream bugfix release, changes from 1.19.3 to 1.19.5 include:
- security fixes
- backported bugfixes to glamor, modesetting driver, xwayland etc

mesa:
New major release plus a few bugfix updates after that. Regressions at this point are less likely. Upstream is tested by Intel CI system for instance. And we're already testing it via a ppa on OEM systems for 16.04.4. Tracking bug for the bugfix release (xenial & artful) is bug 1727390

[Other information]

build order: [libdrm, wayland-protocols, llvm-toolchain-5.0], [libclc, xorg-server], mesa

Timo Aaltonen (tjaalton) on 2017-09-10
Changed in libclc (Ubuntu):
status: New → Invalid
Changed in libdrm (Ubuntu):
status: New → Invalid
Changed in llvm-toolchain-5.0 (Ubuntu):
status: New → Invalid
Changed in mesa (Ubuntu):
status: New → Invalid
Changed in wayland-protocols (Ubuntu):
status: New → Invalid
Changed in xorg-hwe-16.04 (Ubuntu):
status: New → Invalid
Brian Murray (brian-murray) wrote :

The regression potential here is insufficient, additionally the version of libclc in xenial would be greater than the one in artful so it not blowing up there doesn't seem relevant.

Brian Murray (brian-murray) wrote :

After cleaning up the bug description please also upload newer versions of libclc to Zesty and Artful.

Changed in libclc (Ubuntu Xenial):
status: New → Incomplete
Timo Aaltonen (tjaalton) wrote :

looks like libclc -4 was used by mistake, the only diff to -3 was upload to sid.. I'll reupload a proper version. But I don't think zesty should be a concern, we don't upload mesa backports to interim releases, because usually by the time the backport hits xenial the interim release is EOL.

I'll edit the description to match what it was for 16.04.3

Timo Aaltonen (tjaalton) wrote :

looks like libclc -4 was used by mistake, the only diff to -3 was upload to sid.. I'll reupload a proper version. But I don't think zesty should be a concern, we don't upload mesa backports to interim releases, because usually by the time the backport hits xenial the interim release is EOL.

description: updated
Changed in libclc (Ubuntu Xenial):
status: Incomplete → New
Timo Aaltonen (tjaalton) on 2017-11-15
Changed in xorg-hwe-16.04 (Ubuntu Xenial):
assignee: nobody → Timo Aaltonen (tjaalton)
Changed in xorg-server-hwe-16.04 (Ubuntu):
status: New → Invalid

Hello Timo, or anyone else affected,

Accepted libclc into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libclc/0.2.0+git20170330-3~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in libclc (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed verification-needed-xenial
Changed in libdrm (Ubuntu Xenial):
status: New → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Timo, or anyone else affected,

Accepted libdrm into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libdrm/2.4.83-1~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted llvm-toolchain-5.0 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/llvm-toolchain-5.0/1:5.0-3~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in llvm-toolchain-5.0 (Ubuntu Xenial):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted wayland-protocols into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/wayland-protocols/1.10-1~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in wayland-protocols (Ubuntu Xenial):
status: New → Fix Committed
Doug McMahon (mc3man) wrote :

RE: llvm-toolchain-5.0
Works fine here in 16.04.x, no issues, would be great to see it leave proposed asap.

Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted mesa into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mesa/17.2.4-0ubuntu1~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in mesa (Ubuntu Xenial):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted xorg-server-hwe-16.04 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xorg-server-hwe-16.04/2:1.19.5-0ubuntu2~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in xorg-server-hwe-16.04 (Ubuntu Xenial):
status: New → Fix Committed
Timo Aaltonen (tjaalton) wrote :

This set of packages work fine on Intel Coffee Lake, Broadwell and Skylake, and Radeon R7 260X.

There are a couple of minor driver updates to backport, but those can be added separately and shouldn't block these updates, which enable Coffee Lake and bring bugfixes via Mesa.

tags: added: verification-done-xenial
removed: verification-needed verification-needed-xenial
Changed in xserver-xorg-video-amdgpu (Ubuntu):
status: New → Invalid
Changed in xserver-xorg-video-ati (Ubuntu):
status: New → Invalid
Pranav Sharma (sudopluto) wrote :

This update fixes a bug that was in the last xorg update: https://www.kubuntuforums.net/showthread.php/72149-Mouse-artifact-introduced-in-7-26-update - I think the promotion of this to stable will be very helpful for kde neon. Tested on my laptop, the bug is gone.

Pranav Sharma (sudopluto) wrote :

Sorry about this silly question, but will this update be shipped in February? If it isn't tied to the HWE release schedule and can be released earlier, is there any way I can help test?

Timo Aaltonen (tjaalton) wrote :

16.04.4 images will ship with this stack, but they can be pushed to -updates earlier.

If you have a radeon capable of running vulkan apps, please verify this on xenial:

https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1720890

Timo Aaltonen (tjaalton) on 2018-01-03
Changed in vulkan (Ubuntu):
status: New → Invalid
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libdrm - 2.4.83-1~16.04.1

---------------
libdrm (2.4.83-1~16.04.1) xenial; urgency=medium

  * Backport to xenial. (LP: #1716203)
    - use dh9

 -- Timo Aaltonen <email address hidden> Tue, 10 Oct 2017 17:28:59 +0300

Changed in libdrm (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for libdrm has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libclc - 0.2.0+git20170330-3~16.04.1

---------------
libclc (0.2.0+git20170330-3~16.04.1) xenial; urgency=medium

  * Backport to xenial. (LP: #1716203)
    - don't use debhelper 10

 -- Timo Aaltonen <email address hidden> Mon, 13 Nov 2017 19:11:36 +0200

Changed in libclc (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package wayland-protocols - 1.10-1~16.04.1

---------------
wayland-protocols (1.10-1~16.04.1) xenial; urgency=medium

  * Backport to xenial. (LP: #1716203)
    - use debhelper 9

 -- Timo Aaltonen <email address hidden> Tue, 19 Sep 2017 12:48:31 +0300

Changed in wayland-protocols (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package llvm-toolchain-5.0 - 1:5.0-3~16.04.1

---------------
llvm-toolchain-5.0 (1:5.0-3~16.04.1) xenial; urgency=medium

  * Backport to xenial. (LP: #1716203)
    - Don't build the Fuzzer library on powerpc.
    - set BINUTILS_GOLD_ARCHS to match 4.0, dropping arm64 and s390x

 -- Timo Aaltonen <email address hidden> Tue, 10 Oct 2017 18:09:29 +0300

Changed in llvm-toolchain-5.0 (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa - 17.2.4-0ubuntu1~16.04.2

---------------
mesa (17.2.4-0ubuntu1~16.04.2) xenial; urgency=medium

  * control: Relax build-dep on libclc-dev

 -- Timo Aaltonen <email address hidden> Wed, 22 Nov 2017 16:25:17 +0200

Changed in mesa (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg-server-hwe-16.04 - 2:1.19.5-0ubuntu2~16.04.1

---------------
xorg-server-hwe-16.04 (2:1.19.5-0ubuntu2~16.04.1) xenial; urgency=medium

  * Backport to xenial. (LP: #1716203)
    - disable xwayland-tablet.diff, not needed on xenial
  * control, rules: Drop -dbg package as it got mistakenly added back due
    to a merge. This package had migrated to -dbgsym earlier.

 -- Timo Aaltonen <email address hidden> Tue, 19 Sep 2017 14:52:44 +0300

Changed in xorg-server-hwe-16.04 (Ubuntu Xenial):
status: Fix Committed → Fix Released

Hello Timo, or anyone else affected,

Accepted vulkan into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/vulkan/1.0.61.1+dfsg1-1ubuntu1~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in vulkan (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed verification-needed-xenial
removed: verification-done-xenial
Łukasz Zemczak (sil2100) wrote :

Hello Timo, or anyone else affected,

Accepted xserver-xorg-video-amdgpu-hwe-16.04 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xserver-xorg-video-amdgpu-hwe-16.04/1.4.0-1~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in xserver-xorg-video-amdgpu-hwe-16.04 (Ubuntu):
status: New → Invalid
Changed in xserver-xorg-video-amdgpu-hwe-16.04 (Ubuntu Xenial):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Timo, or anyone else affected,

Accepted xserver-xorg-video-ati-hwe-16.04 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xserver-xorg-video-ati-hwe-16.04/1:7.10.0-1~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in xserver-xorg-video-ati-hwe-16.04 (Ubuntu Xenial):
status: New → Fix Committed
Changed in xserver-xorg-video-nouveau-hwe-16.04 (Ubuntu Xenial):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Timo, or anyone else affected,

Accepted xserver-xorg-video-nouveau-hwe-16.04 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xserver-xorg-video-nouveau-hwe-16.04/1:1.0.15-2~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

no longer affects: xserver-xorg-video-ati (Ubuntu)
no longer affects: xserver-xorg-video-ati (Ubuntu Xenial)
no longer affects: xserver-xorg-video-amdgpu (Ubuntu)
no longer affects: xserver-xorg-video-amdgpu (Ubuntu Xenial)
Changed in xserver-xorg-video-ati-hwe-16.04 (Ubuntu):
status: New → Invalid
Changed in xserver-xorg-video-nouveau-hwe-16.04 (Ubuntu):
status: New → Invalid
Timo Aaltonen (tjaalton) wrote :

nothing worth backporting in xorg

tags: added: verification-done verification-done-xenial
removed: verification-needed verification-needed-xenial
Changed in xorg-hwe-16.04 (Ubuntu Xenial):
status: New → Invalid
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package vulkan - 1.0.61.1+dfsg1-1ubuntu1~16.04.1

---------------
vulkan (1.0.61.1+dfsg1-1ubuntu1~16.04.1) xenial; urgency=medium

  * Backport to xenial. (LP: #1716203)

 -- Timo Aaltonen <email address hidden> Wed, 03 Jan 2018 11:07:38 +0200

Changed in vulkan (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-nouveau-hwe-16.04 - 1:1.0.15-2~16.04.1

---------------
xserver-xorg-video-nouveau-hwe-16.04 (1:1.0.15-2~16.04.1) xenial; urgency=medium

  * Backport for hwe-16.04 stack. (LP: #1716203)

 -- Timo Aaltonen <email address hidden> Wed, 03 Jan 2018 12:27:08 +0200

Changed in xserver-xorg-video-nouveau-hwe-16.04 (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-ati-hwe-16.04 - 1:7.10.0-1~16.04.1

---------------
xserver-xorg-video-ati-hwe-16.04 (1:7.10.0-1~16.04.1) xenial; urgency=medium

  * Backport for hwe-16.04 stack. (LP: #1716203)

 -- Timo Aaltonen <email address hidden> Wed, 03 Jan 2018 12:27:00 +0200

Changed in xserver-xorg-video-ati-hwe-16.04 (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-amdgpu-hwe-16.04 - 1.4.0-1~16.04.1

---------------
xserver-xorg-video-amdgpu-hwe-16.04 (1.4.0-1~16.04.1) xenial; urgency=medium

  * Backport for hwe-16.04 stack. (LP: #1716203)

 -- Timo Aaltonen <email address hidden> Wed, 03 Jan 2018 12:26:59 +0200

Changed in xserver-xorg-video-amdgpu-hwe-16.04 (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers